#! /bin/bash

x=$1
codes=../../../codes/prep
cp ../calcu/scf.molden .
{ echo "no"; echo "scf.molden"; echo "no"; echo "no"; echo "no"; echo "\n\n" ; }| $codes/molden2aim.exe # you may need to compile molden2aim yourself
mv scf.wfn ${x}.scf.wfn
mv scf.molden ${x}.scf.molden
python $codes/read_wfn.py ${x}.scf.wfn
python $codes/mdf_hdf5_molden.py ${x}.scf.h5 ${x}.scf.molden
python $codes/read_fcidump-psi4.py ../calcu/INTDUMP # or read_fcidump_psi4_mem.py if you want to save memory
python $codes/Becke_grid.py ${x}.scf.h5 chi.dat 4
python $codes/rho_Becke_grid.py ${x}.scf.h5 Becke_grid.npy Becke_wgt.npy all 0

